Bug 38277 - Update port: japanese/mutt-devel 1.3.28 -> 1.3.99
Update port: japanese/mutt-devel 1.3.28 -> 1.3.99
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 06:40 UTC by shuna
Modified: 2002-05-22 19:57 UTC (History)
0 users

See Also:


Attachments
file.diff (3.70 KB, patch)
2002-05-19 06:40 UTC, shuna
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shuna 2002-05-19 06:40:02 UTC
	Update port: japanese/mutt-devel 1.3.28.j1 -> 1.3.99.j1
	'automake' became needless, because name of iconv library was changed.
Comment 1 knu 2002-05-22 14:10:59 UTC
This doesn't build either on -stable or on -current:

===>  Building for ja-mutt-1.3.99.j1
cd . && aclocal -I m4
cd . && automake --foreign --include-deps Makefile
./gen_defs ./OPS ./OPS.PGP > keymap_defs.h
./patchlist.sh < ./PATCHES > patchlist.c
cd . \
  && CONFIG_FILES=Makefile CONFIG_HEADERS= /bin/sh ./config.status
creating Makefile
Makefile:446: *** $BJ,N%5-9f$r7g$$$F$$$^$9(B.  $BCf;_!#(B.  
*** Error code 2

Stop in /home/knu/work/ports/japanese/mutt-devel.

-- 
                     /
                    /__  __            Akinori.org / MUSHA.org
                   / )  )  ) )  /     FreeBSD.org / Ruby-lang.org
Akinori MUSHA aka / (_ /  ( (__(  @ iDaemons.org / and.or.jp

"Somewhere out of a memory.. of lighted streets on quiet nights.."
Comment 2 shuna 2002-05-22 17:39:36 UTC
On Wed, May 22, 2002 at 10:10:59PM +0900, Akinori MUSHA wrote:
> This doesn't build either on -stable or on -current:

Sorry, I undelete USE_AUTOMAKE and other...


diff -uNr mutt-devel.old/Makefile mutt-devel/Makefile
--- mutt-devel.old/Makefile	Sat Apr 13 02:09:43 2002
+++ mutt-devel/Makefile	Thu May 23 01:07:10 2002
@@ -7,7 +7,6 @@
 
 PORTNAME=	mutt
 PORTVERSION=	${VERSION}.j${JP_VERSION}
-PORTREVISION=	1
 CATEGORIES=	japanese mail
 MASTER_SITES=	http://www.emaillab.org/mutt/1.3/ \
 		http://www5.xdsl.ne.jp/~shuna/mutt/distfiles/ \
@@ -30,9 +29,9 @@
 .endif
 RUN_DEPENDS=	urlview:${PORTSDIR}/textproc/urlview
 
-VERSION=	1.3.28
+VERSION=	1.3.99
 JP_VERSION=	1
-MANUALVERSION=	1.3.23
+MANUALVERSION=	1.3.28
 
 DIST_SUBDIR=	mutt
 NO_LATEST_LINK=	yes
@@ -68,7 +67,6 @@
 
 DIFFDIR=	${WRKDIR}/${DISTNAME}-ja.${JP_VERSION}
 DIFFNAME=	patch-${VERSION}.tt.ja.${JP_VERSION}
-SRCDOCSDIR=	${WRKDIR}/manual_ja-${MANUALVERSION}
 
 pre-patch:
 	(cd ${DIFFDIR}; ${PATCH} < ${FILESDIR}/prepatch-aa)
@@ -97,9 +95,9 @@
 	${INSTALL_DATA} ${DIFFDIR}/samples/mutt-en.rc ${DOCSDIR}/samples
 	${INSTALL_DATA} ${DIFFDIR}/samples/mutt-ja.rc ${DOCSDIR}/samples
 	${INSTALL_DATA} ${DIFFDIR}/samples/sample.muttrc-tt ${DOCSDIR}/samples
-	${INSTALL_DATA} ${SRCDOCSDIR}/manual_ja.txt ${DOCSDIR}
-	${INSTALL_DATA} ${SRCDOCSDIR}/manual_ja.tex ${DOCSDIR}
-	${INSTALL_DATA} ${SRCDOCSDIR}/manual_ja.html ${DOCSDIR}
-	${INSTALL_DATA} ${SRCDOCSDIR}/manual_ja.sgml ${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/manual_ja.txt ${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/manual_ja.tex ${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/manual_ja.html ${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/manual_ja.sgml ${DOCSDIR}
 
 .include <bsd.port.post.mk>
diff -uNr mutt-devel.old/distinfo mutt-devel/distinfo
--- mutt-devel.old/distinfo	Tue Apr  2 12:32:08 2002
+++ mutt-devel/distinfo	Thu May 23 01:07:10 2002
@@ -1,3 +1,3 @@
-MD5 (mutt/mutt-1.3.28i.tar.gz) = eba9bd09853ff7e441712e2d10d8632b
-MD5 (mutt/mutt-1.3.28i-ja.1.tar.gz) = 187ad77e6127fcf9c20f2b0cedfb6e74
-MD5 (mutt/manual_ja-1.3.23i-0.tar.gz) = dfbedc3b9b7beb9d797c899fec920300
+MD5 (mutt/mutt-1.3.99i.tar.gz) = 99b5978fed95688ab26aac54803a21c1
+MD5 (mutt/mutt-1.3.99i-ja.1.tar.gz) = d4635e26da5a150d2e1597f66c1914bf
+MD5 (mutt/manual_ja-1.3.28i-0.tar.gz) = 80e52b32594134e935ac2f0f9ba05bf3
diff -uNr mutt-devel.old/files/prepatch-aa mutt-devel/files/prepatch-aa
--- mutt-devel.old/files/prepatch-aa	Tue Apr  2 12:32:09 2002
+++ mutt-devel/files/prepatch-aa	Thu May 23 01:07:10 2002
@@ -1,13 +1,9 @@
-*** patch-1.3.28.tt.ja.1.orig	Fri Mar 22 03:55:31 2002
---- patch-1.3.28.tt.ja.1	Fri Mar 22 03:55:45 2002
-***************
-*** 2793,2796 ****
-  --- mutt-ja/PATCHES~    Tue Nov  6 19:59:33 2001
-  +++ mutt-ja/PATCHES     Tue Nov  6 19:59:42 2001
-! @@ -1,0 +1 @@
-  +patch-1.3.28.tt.ja.1
---- 2793,2796 ----
-  --- mutt-ja/PATCHES~    Tue Nov  6 19:59:33 2001
-  +++ mutt-ja/PATCHES     Tue Nov  6 19:59:42 2001
-! @@ -0,0 +1 @@
-  +patch-1.3.28.tt.ja.1
+--- patch-1.3.99.tt.ja.1.orig	Sun May 19 13:58:08 2002
++++ patch-1.3.99.tt.ja.1	Sun May 19 13:58:24 2002
+@@ -2388,5 +2388,5 @@
+  }
+ --- mutt-ja/PATCHES~    Tue Nov  6 19:59:33 2001
+ +++ mutt-ja/PATCHES     Tue Nov  6 19:59:42 2001
+-@@ -1,0 +1 @@
++@@ -0,0 +1 @@
+ +patch-1.3.99.tt.ja.1
Comment 3 Akinori MUSHA freebsd_committer 2002-05-22 19:57:17 UTC
State Changed
From-To: open->closed

Committed, thanks!